"""
Authors:
Consulted:
Date:
Purpose: treeTops task: draws trees, and calculates their highest point.
"""

# Import basic drawing functions
from turtleBeads import *
from turtle import *


#---------------#
# Provided code #
#---------------#

def leaf(length, leafColor):
    """
    Draws a leaf based on the given length value. The leaf is just a
    thick line in the given color whose length is equal to the given
    length, and whose pen size is 1/2 of the length. The leaf extends
    forward from the turtle's starting position, and it returns to that
    starting location when it's done.

    This function returns the highest point on the leaf, which is just
    the higher of the two endpoints of the line it draws (not accounting
    for the pen size).

    This function changes the pen size and color as a side effect.
    """
    # Set the pen size and pen/fill colors
    pensize(length / 2)
    pencolor(leafColor)

    # Draw the line
    fd(length)

    # Measure position
    tipHeight = ycor()

    # Jump back to the starting position
    leap(-length)

    # Return higher of this position and the tip
    return max(ycor(), tipHeight)


#---------------------#
# Your code goes here #
#---------------------#

